package POM_Assigment.Utils;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.safari.SafariDriver;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Parameters;

import java.time.Duration;

public class BaseTest {

    protected WebDriver obj;

    @Parameters("Browser")
    @BeforeMethod
    public void setUp(String Browser) {
        if (Browser.equalsIgnoreCase("chrome")) {
            obj = new ChromeDriver();
        } else if (Browser.equalsIgnoreCase("safari")) {
            obj = new SafariDriver();
        } else if (Browser.equalsIgnoreCase("firefox")) {
            obj = new FirefoxDriver();
        }

        obj.manage().timeouts().implicitlyWait(Duration.ofSeconds(10));
    }

    @AfterMethod
    public void tearDown() {
        if (obj != null) {
            obj.quit();
        }
    }
}
