package DataProvider;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class DataProviderExcel {
    WebDriver obj;

    @BeforeClass
    void before() {
        obj = new FirefoxDriver();
        obj.get("https://rahulshettyacademy.com/locatorspractice/");
    }

    @Test(dataProvider = "getData")   // adding data provider name on the test.
    void Test1(String Username, String Password)
    {

        WebElement username = obj.findElement(By.id("inputUsername"));
        username.clear();      // --------> for next value to be test.
        username.sendKeys(Username);

        WebElement password = obj.findElement(By.xpath("//input[@placeholder='Password']"));
        password.clear();      //---------> clearing for next value to be test.
        password.sendKeys(Password);

        obj.findElement(By.className("signInBtn")).click(); // clicking on button.


    }

    @DataProvider
    Object[][] getData() throws IOException
    {
        String csv = "/Users/zain/Documents/Copy of dataproviderfile.csv";
        BufferedReader br = new BufferedReader(new FileReader(csv));
        List<String[]> data = new ArrayList<>();
        String line;

        while ((line = br.readLine()) != null)
        {
            String[] lineData = line.split(",");
            data.add(lineData);
        }

        br.close();

        // Convert List to a 2D array and return it
        return data.toArray(new Object[0][0]);
    }




    @AfterClass
    void tearDown() {
        obj.quit();
    }
}
